Problem mit RPM

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von Groooveman, 17.04.2007.

  1. #1 Groooveman, 17.04.2007
    Groooveman

    Groooveman Mitglied

    Dabei seit:
    04.04.2007
    Beiträge:
    25
    Zustimmungen:
    0
    ich kann irgendwie keine rpm´s mehr öffnen wen ich eins anklicke dann öffnet sich das "software istallieren" fenster und sonst passiert nix hab schonma 2 stunden laufen lassen und es is nix passiert was is da los was kann ich machen ???
    sry für die vielen fragen im forum :D
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 gropiuskalle, 17.04.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Wie sieht es denn aus, wenn Du die .rpms per Konsole oder mit YaST zu installieren versuchst?
     
  4. #3 Groooveman, 17.04.2007
    Groooveman

    Groooveman Mitglied

    Dabei seit:
    04.04.2007
    Beiträge:
    25
    Zustimmungen:
    0
    :think: ich hab keine ahnung wie das geht bin bis jetzt immer ohne ausgekommen:hilfe2:
     
  5. reni

    reni Guest

    Code:
    rpm -Uhv dasFile.rpm
    Versuche das mal ... "dasFile.rpm" natürlich entsprechend ersetzen ;)
     
  6. #5 Groooveman, 17.04.2007
    Groooveman

    Groooveman Mitglied

    Dabei seit:
    04.04.2007
    Beiträge:
    25
    Zustimmungen:
    0
    Code:
    error: can't create transaction lock on /var/lib/rpm/__db.000
    
     
  7. reni

    reni Guest

    Da gibt es entweder noch einen Prozess, der auf die RPM-Datenbank zugreift => den löschen bzw. Programm beenden(evt. YaST) und erneut versuchen.

    Oder aber dir hilft ein "rpm --rebuilddb" => die RPM-Datenbank selbst hat ein Problem.
     
  8. #7 gropiuskalle, 17.04.2007
    Zuletzt bearbeitet: 17.04.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Na, da fehlen aber noch einige basics, hm? Versuchs erstmal mit YaST » 'Software installieren oder löschen'. Den Ordner, in welchem Du die .rpms lagerst, musst Du vorher mit 'Installationsquelle wechseln' als lokales Verzeichnis eintragen.

    Aber mal so gefragt: wieso nutzt Du nicht die praktische Installation über Online-Quellen, wie sie YaST anbietet? Es ist eigentlich nicht notwendig, sich .rpms einzeln aus dem Netz zu ziehen (eventuell vertut man sich da auch mal bei der Distri-Version etc.), also rüste lieber Deine Repositories auf, anstatt Dich mit Abhängigkeiten herumzuschlagen.

    Mein Vorschlag deshalb: schau mal » hier « und » dort «, wie Du YaST auf vordermann bringst, mach dann ein komplettes online-update (das sollte man eigentlich gleich nach der Installation machen) und suche Dir dann Deine Pakete über YaST.

    Als etwas schnellere und flexiblere Alternative bietet sich zudem smart an.

    Edit: Ergänzend zu renis Tipp schlage ich Dir vor, in einer Konsole mittels 'top' zu schauen, ob irgendwelche Prozesse auf die rpm-Datenbank zugreifen (z,B. 'y2base').
     
  9. #8 Groooveman, 17.04.2007
    Zuletzt bearbeitet: 17.04.2007
    Groooveman

    Groooveman Mitglied

    Dabei seit:
    04.04.2007
    Beiträge:
    25
    Zustimmungen:
    0
    tausend dank ich such schon ne weile nach installationsquellen
    .
    .
    .
    EDIT (autom. Beitragszusammenführung) :
    .

    hab beim installationsquellen einfügen ein problem
    Code:
    rug failed to add a ZYPP service:
    Command timed out after 1800200 msec.
     
  10. #10 gropiuskalle, 17.04.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Ich würde Dir nahelegen, zmd, zen, rug und Konsorten komplett zu deinstallieren (wie es auch in einem der von mir geposteten links empfohlen wird):

    Code:
    su -c "rpm -e zmd libzypp-zmd-backend sqlite-zmd rug zen-updater"
     
  11. #11 Groooveman, 17.04.2007
    Groooveman

    Groooveman Mitglied

    Dabei seit:
    04.04.2007
    Beiträge:
    25
    Zustimmungen:
    0
    hab ebean gemacht was gropiuskalle geschreiben hat dan hab ich mit mal den link von reni angeguckt aber das kann ich nich machen weil ich nix installieren kann :D
     
  12. #12 gropiuskalle, 17.04.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Das ganze geht aber auch ein bisschen genauer. Was hast Du wie zu installieren versucht? Hast Du Deine YaST-Quellen jetzt ergänzt? Und was auch renis link hast Du denn zu machen versucht? Der bezog sich doch auf Umgebungen, wo rug und zmd noch vorhanden sind... *grübel*
     
  13. #13 Groooveman, 17.04.2007
    Groooveman

    Groooveman Mitglied

    Dabei seit:
    04.04.2007
    Beiträge:
    25
    Zustimmungen:
    0
    ich kann keine yast quellen hinzufügen und rpm´s kann ich auch nich installieren
     
  14. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  15. reni

    reni Guest

    Hast du denn das rpm --rebuilddb mal gemacht?
     
  16. #15 gropiuskalle, 17.04.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Es wäre hilfreich zu erfahren, was denn da im Einzelnen geschieht. Schreib' lieber ein bisschen zu viel als zu wenig, denn wir können nicht sehen, was sich bei Dir so tut...
     
Thema:

Problem mit RPM

Die Seite wird geladen...

Problem mit RPM - Ähnliche Themen

  1. Virtualboxproblem

    Virtualboxproblem: Hallo Folgnedes Problem: Ich kann ohne Probleme In Debian-Sid, 64Bit und virtualbox-dkms Unixoide installieren, wenn es sich um eine...
  2. grub-pc Probleme bei upgrade

    grub-pc Probleme bei upgrade: Hallo, ich habe beim dist-upgrade folgendes Problem: ---------- Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt. Trigger für...
  3. Problem bei apt-get upgrade (Kali 2.0)

    Problem bei apt-get upgrade (Kali 2.0): Hi, seit paar Tagen habe ich einige Probs. Dachte es sei mal an der Zeit für ein Update und nun tauchen da einige Fehler auf: Es müssen noch 0 B...
  4. Probleme mit YUM

    Probleme mit YUM: Hallo, ich habe CentOs 7 als Dualboot mit Windows 7 auf einen Dell Latitude E5510 installiert. Dies hat soweit auch alles geklappt. Leider habe...
  5. Problem mit Win-Zugriff auf SAMBA

    Problem mit Win-Zugriff auf SAMBA: Hallo rundherum, vielleicht hat jemand eine Idee... Habe jetzt schon 1 1/2 Tage damit verbraten und den Fehler nicht gefunden. Problem:...